package com.unis.crk.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.crk.common.entity.Billnonew;

/**
 * <p>
 * 单据序号生成表，中间表，专用于生成各种单据号 服务类
 * </p>
 *
 * @author TangSong
 * @since 2021-10-27
 */
public interface IBillnonewService extends IService<Billnonew> {
    /**
     * 得到汽车入库单据号
     *
     * @param unitId
     * @return
     */
    String getQcrkBizNo(String unitId);

    /**
     * 得到汽车出库单据号
     *
     * @param unitId
     * @return
     */
    String getQcckBizNo(String unitId);

    /**
     * 得到汽车入库扦样单号
     *
     * @param unitId
     * @return
     */
    String getQcrkQydh(String unitId);

    /**
     * 得到汽车入库检斤单号
     *
     * @param unitId
     * @return
     */
    String getQcrkJjdh(String unitId);

    /**
     * 得到汽车出库检斤单号
     *
     * @param unitId
     * @return
     */
    String getQcckJjdh(String unitId);

    /**
     * 得到汽车入库结算单号
     *
     * @param unitId
     * @return
     */
    String getQcrkJsdh(String unitId);

    /**
     * 得到汽车入库检验单号
     *
     * @param unitId
     * @return
     */
    String getQcrkJydh(String unitId);

    /**
     * 得到汽车出库检验单号
     *
     * @param unitId
     * @return
     */
    String getQckJydh(String unitId);

    /**
     * 得到通知单编号
     * @param unitId 单位Id
     * @param zylx 作业类型：粮油入库：1，粮油出库：2
     * @return
     */
    String getTzdh(String unitId, Integer zylx);


    /**
     * 得到库存变动单号
     * @param unitId
     * @return
     */
    String getKcbdDh(String unitId);

    /**
     * 得到通知单编号
     * @param unitId 单位Id
     * @param zylx 作业类型：成品粮入库：3，成品粮出库：4
     * @return
     */
    String getCplTzdh(String unitId, Integer zylx);
    /**
     * 得到成品粮库存变动单号
     * @param unitId
     * @return
     */
    String getCplKcbdDh(String unitId);
    /**
     * 得到成品粮检验单号
     *
     * @param unitId
     * @return
     */
    String getCplJydh(String unitId);

    /**
     * 得到成品粮入库单据号
     *
     * @param unitId
     * @return
     */
    String getCplrkBizNo(String unitId);

    /**
     * 得到成品粮出库单据号
     *
     * @param unitId
     * @return
     */
    String getCplckBizNo(String unitId);

    /**
     * 得到生产批次
     * @param unitId
     * @param spbh
     * @param scrq
     * @return
     */
    String getScpc(String unitId, String spbh, String scrq);

    /**
     * 得到生产批次
     * @param unitId
     * @param spbh
     * @param scrq
     * @param gysId
     * @return
     */
    String getScpc(String unitId, String spbh, String scrq,String gysId);
    /**
     * 得到成品粮入库单据号
     *
     * @param unitId
     * @return
     */
    String getCplQckcDh(String unitId);
    /**
     * 得到成品粮标签单号
     *
     * @param unitId
     * @return
     */
    String getBqDh(String unitId);

    String getCpljsBizNo(String unitId);

    /**
     * 根据unitId得到领用单号
     * @param unitId
     * @return
     */
    String getLyDh(String unitId);

    /**
     * 得到商品拆分单号
     * @param unitId
     * @return
     */
    String getCfdh(String unitId);

    String getcplkctzdh(String unitId);

    /**
     * 得到分拣单号
     * @param unitId
     * @return
     */
    String getFjDh(String unitId);

    String getScpcbySp(String unitId, String spbh, String scrq,String scpc);
}
